Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 258741

Summary: dev-util/gitg ebuild
Product: Gentoo Linux Reporter: Thorsten Vollmer <thorsten>
Component: New packagesAssignee: Mike Auty <ikelos>
Status: VERIFIED FIXED    
Severity: enhancement    
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: http://trac.novowork.com/gitg/
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: dev-util/gitg-9999.ebuild
dev-util/gitg-9999.ebuild
gitg-0.0.1.ebuild

Description Thorsten Vollmer 2009-02-12 15:55:03 UTC
gitg is a git repository viewer for GNOME. It is similar to dev-util/giggle, but gitg is more advanced in my opinion. Both tools are actively developed though. We will see if one of them prevails.
Comment 1 Thorsten Vollmer 2009-02-12 15:57:24 UTC
Created attachment 181793 [details]
dev-util/gitg-9999.ebuild

There are currently two repositories with identical content:
git://github.com/jessevdk/gitg and git://git.gnome.org/gitg
I chose the latter.
Comment 2 Thorsten Vollmer 2009-02-12 16:18:55 UTC
Created attachment 181795 [details]
dev-util/gitg-9999.ebuild

call gnome2_pkg_postinst
Comment 3 Mike Auty gentoo-dev 2009-02-12 16:26:15 UTC
Thanks for submitting the ebuild, the gnome git repo seems like a sensible choice.  Nifty trick with the EGIT_BOOTSTRAP (I'll have to remember that one for my personal ebuilds!), but I think Flameeyes prefers us to use eautoreconf over provided autogen.sh scripts, so I've bumped it to EAPI="2" and added a src_prepare function.

This is now in my overlay for testing, but I try not to maintain live ebuilds in the main tree.  Feel free to post to this bug if they do a full release, and I can put it in the main tree for you.  5:)

I'll leave this as maintainer-wanted just in case someone else wants to pick it up before me...
Comment 4 Thorsten Vollmer 2009-02-12 16:59:43 UTC
Thanks for your fast response! You can drop the dependency on
gnome-base/gnome-common if you do not call ´╗┐autogen.sh.
Comment 5 Mike Auty gentoo-dev 2009-02-12 18:30:40 UTC
Glad to help out, thanks for writing the ebuild!  5:)  (I've removed the dep on gnome-common now too...)
Comment 6 Thorsten Vollmer 2009-03-05 12:25:39 UTC
Created attachment 184005 [details]
gitg-0.0.1.ebuild

(In reply to comment #3)
> Feel free to post to this bug if they do a full release, and I can put it
> in the main tree for you.
The first version of gitg has been released. Please find attached the ebuild.
Comment 7 Mike Auty gentoo-dev 2009-03-05 23:19:10 UTC
Thanks very much, this has now been updated in my overlay, but it all looks good, so I'll try and put in the tree on Sunday.  If it's still not there by next week, feel free to give me a prod on this bug...  5;)
Comment 8 Mike Auty gentoo-dev 2009-03-08 22:44:22 UTC
Ok, all checked in.  Let me know if there's any problems, and do feel free to give me a prod if there's a new version.  Thanks...  5:)
Comment 9 Thorsten Vollmer 2009-03-10 00:53:25 UTC
Thank you.